# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_PresentationLayerUsage Class Reference

Added from StepVisual Rev2 to Rev4
.

`#include <StepVisual_PresentationLayerUsage.hxx>`

## Public Member Functions

Standard_EXPORT | StepVisual_PresentationLayerUsage ()
Standard_EXPORT void | Init (const Handle(StepVisual_PresentationLayerAssignment)&aAssignment, const Handle(StepVisual_PresentationRepresentation)&aPresentation)
Standard_EXPORT void | SetAssignment (const Handle(StepVisual_PresentationLayerAssignment)&aAssignment)
Standard_EXPORT Handle_StepVisual_PresentationLayerAssignment | Assignment () const
Standard_EXPORT void | SetPresentation (const Handle(StepVisual_PresentationRepresentation)&aPresentation)
Standard_EXPORT Handle_StepVisual_PresentationRepresentation | Presentation () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepVisual_PresentationLayerAssignment | theAssignment
Handle_StepVisual_PresentationRepresentation | thePresentation

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_PresentationLayerUsage::StepVisual_PresentationLayerUsage | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepVisual_PresentationLayerAssignment StepVisual_PresentationLayerUsage::Assignment | ( |  | ) | const

Standard_EXPORT const StepVisual_PresentationLayerUsage::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepVisual_PresentationLayerUsage::Init | ( | const Handle(StepVisual_PresentationLayerAssignment)& | aAssignment,
|  | const Handle(StepVisual_PresentationRepresentation)& | aPresentation
| ) |

Standard_EXPORT Handle_StepVisual_PresentationRepresentation StepVisual_PresentationLayerUsage::Presentation | ( |  | ) | const

Standard_EXPORT void StepVisual_PresentationLayerUsage::SetAssignment | ( | const Handle(StepVisual_PresentationLayerAssignment)& | aAssignment | ) |

Standard_EXPORT void StepVisual_PresentationLayerUsage::SetPresentation | ( | const Handle(StepVisual_PresentationRepresentation)& | aPresentation | ) |

## Field Documentation

Handle_StepVisual_PresentationLayerAssignment StepVisual_PresentationLayerUsage::theAssignment `[private]`

Handle_StepVisual_PresentationRepresentation StepVisual_PresentationLayerUsage::thePresentation `[private]`

The documentation for this class was generated from the following file:

- StepVisual_PresentationLayerUsage.hxx